## firefox 21.0+build2

=== security/nss/lib/Makefile ===
#! gmake
#
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

#######################################################################
# (1) Include initial platform-independent assignments (MANDATORY).   #
#######################################################################

include manifest.mn

#######################################################################
# (2) Include "global" configuration information. (OPTIONAL)          #
#######################################################################

include $(CORE_DEPTH)/coreconf/config.mk

#######################################################################
# (3) Include "component" configuration information. (OPTIONAL)       #
#######################################################################



#######################################################################
# (4) Include "local" platform-dependent assignments (OPTIONAL).      #
#######################################################################

ifndef USE_SYSTEM_ZLIB
ZLIB_SRCDIR = zlib  # Add the zlib directory to DIRS.
endif

ifndef MOZILLA_CLIENT
ifndef NSS_USE_SYSTEM_SQLITE
SQLITE_SRCDIR = sqlite  # Add the sqlite directory to DIRS.
endif
endif

ifndef MOZILLA_CLIENT
ifeq ($(OS_ARCH),Linux)
SYSINIT_SRCDIR = sysinit  # Add the sysinit directory to DIRS.
endif
endif

#######################################################################
# (5) Execute "global" rules. (OPTIONAL)                              #
#######################################################################

include $(CORE_DEPTH)/coreconf/rules.mk

#######################################################################
# (6) Execute "component" rules. (OPTIONAL)                           #
#######################################################################



#######################################################################
# (7) Execute "local" rules. (OPTIONAL).                              #
#######################################################################

=== security/nss/tests/remote/Makefile ===
#! gmake
#
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

#######################################################################
# (1) Include initial platform-independent assignments (MANDATORY).   #
#######################################################################

include manifest.mn

#######################################################################
# (2) Include "global" configuration information. (OPTIONAL)          #
#######################################################################

include $(CORE_DEPTH)/coreconf/config.mk

#######################################################################
# (3) Include "component" configuration information. (OPTIONAL)       #
#######################################################################



#######################################################################
# (4) Include "local" platform-dependent assignments (OPTIONAL).      #
#######################################################################



#######################################################################
# (5) Execute "global" rules. (OPTIONAL)                              #
#######################################################################

include $(CORE_DEPTH)/coreconf/rules.mk

#######################################################################
# (6) Execute "component" rules. (OPTIONAL)                           #
#######################################################################



#######################################################################
# (7) Execute "local" rules. (OPTIONAL).                              #
#######################################################################

TESTPACKAGE="nss-$(OS_TARGET)$(CPU_TAG).tgz"
RTSH=$(DIST)/../../runtests.sh
PCFG=$(DIST)/platform.cfg


#Hint: In order to test the Makefiles without running the tests, use:
#      make NSS_CYCLES="standard" NSS_TESTS="dummy"

ifeq ($(OS_TARGET),Android)
TEST_SHELL?=$$HOME/bin/sh
ANDROID_PORT?="2222"
#Define the subset of tests that is known to work on Android
NSS_CYCLES?="standard pkix upgradedb sharedb"
NSS_TESTS?="cipher lowhash libpkix cert dbtests tools sdr crmf smime ssl ocsp merge pkits chains"
NSS_SSL_TESTS?="crl normal_normal iopr"
NSS_SSL_RUN?="cov auth stress"
else
TEST_SHELL?="/bin/sh"
endif

# Create a package for test execution on a separate system.
package_for_testing:
	echo "export OBJDIR=$(OBJDIR_NAME)"     > $(PCFG)
	echo "export OS_ARCH=$(OS_ARCH)"       >> $(PCFG)
	echo "export OS_TARGET=$(OS_TARGET)"   >> $(PCFG)
	echo "export DLL_PREFIX=$(DLL_PREFIX)" >> $(PCFG)
	echo "export DLL_SUFFIX=$(DLL_SUFFIX)" >> $(PCFG)
	echo 'echo "set HOST and DOMSUF if your system is not registered in DNS"' > $(RTSH)
	cat $(PCFG)                                  >> $(RTSH)
	echo 'export NSS_TESTS=$(NSS_TESTS)'         >> $(RTSH)
	echo 'export NSS_SSL_TESTS=$(NSS_SSL_TESTS)' >> $(RTSH)
	echo 'export NSS_SSL_RUN=$(NSS_SSL_RUN)'     >> $(RTSH)
	echo 'export NSS_CYCLES=$(NSS_CYCLES)'       >> $(RTSH)
	echo 'export USE_64=$(USE_64)'               >> $(RTSH)
	echo 'export BUILD_OPT=$(BUILD_OPT)'         >> $(RTSH)
	echo 'export PKITS_DATA=$(PKITS_DATA)'       >> $(RTSH)
	echo 'export NSS_ENABLE_ECC=$(NSS_ENABLE_ECC)'                       >> $(RTSH)
	echo 'export NSS_ECC_MORE_THAN_SUITE_B=$(NSS_ECC_MORE_THAN_SUITE_B)' >> $(RTSH)
	echo 'export NSPR_LOG_MODULES=$(NSPR_LOG_MODULES)'                   >> $(RTSH)
ifeq ($(OS_TARGET),Android)
	# Android doesn't support FIPS tests, because
	# dladdr does not return a full path for implicitly loaded libraries
	echo "export NSS_TEST_DISABLE_FIPS=1" >> $(DIST)/platform.cfg
endif
ifeq ($(CROSS_COMPILE),1)
# execute signing on test system
	echo 'export DIST=$${HOME}/nsstest/dist/'           >> $(RTSH)
	echo 'export NSPR_LIB_DIR=$${DIST}/$${OBJDIR}/lib/' >> $(RTSH)
	echo 'echo "signing"'                               >> $(RTSH)
# work around a bug in Android ash that has a corrupted work directory after login
	echo 'cd $${HOME}/nsstest'                          >> $(RTSH)
	echo 'cd security/nss/cmd/shlibsign'                >> $(RTSH)
	echo '$(TEST_SHELL) ./sign.sh $${DIST}/$${OBJDIR}/ $${DIST}/$${OBJDIR}/bin $${OS_TARGET} $${NSPR_LIB_DIR} $${NSPR_LIB_DIR}$${DLL_PREFIX}freebl3.$${DLL_SUFFIX}'  >> $(RTSH)
	echo '$(TEST_SHELL) ./sign.sh $${DIST}/$${OBJDIR}/ $${DIST}/$${OBJDIR}/bin $${OS_TARGET} $${NSPR_LIB_DIR} $${NSPR_LIB_DIR}$${DLL_PREFIX}softokn3.$${DLL_SUFFIX}' >> $(RTSH)
	echo '$(TEST_SHELL) ./sign.sh $${DIST}/$${OBJDIR}/ $${DIST}/$${OBJDIR}/bin $${OS_TARGET} $${NSPR_LIB_DIR} $${NSPR_LIB_DIR}$${DLL_PREFIX}nssdbm3.$${DLL_SUFFIX}'  >> $(RTSH)
ifneq ($(OS_TARGET),Android)
# Android's ash doesn't support "export -n" yet
	echo 'export -n DIST'                          >> $(RTSH)
	echo 'export -n NSPR_LIB_DIR'                  >> $(RTSH)
endif
	echo 'cd ../../../../'                         >> $(RTSH)
endif
	echo 'rm -rf tests_results'                    >> $(RTSH)
	echo 'echo "running tests"'                    >> $(RTSH)
	echo 'cd security/nss/tests'                   >> $(RTSH)
	# We require progress indication on stdout while running the tests (to avoid timeouts).
	set -o pipefail
	echo '$(TEST_SHELL) ./all.sh | tee ../../../logfile 2>&1 |grep ": #"'       >> $(RTSH)
	RETVAL=$?
	echo 'cd ../../../'                            >> $(RTSH)
	# dump test summary from end of logfile
	echo 'echo "=========="; tail -100 logfile'    >> $(RTSH)
	echo 'tar czf tests_results.tgz tests_results'                              >> $(RTSH)
	echo 'echo "created tests_results.tgz"'                                     >> $(RTSH)
	echo 'echo "results are in directory: "`ls -1d tests_results/security/*.1`' >> $(RTSH)
	echo 'echo exit status: $${RETVAL}'                                         >> $(RTSH)
	echo 'exit $${RETVAL}'                                                      >> $(RTSH)
	rm -f $(TESTPACKAGE)
	(cd $(DIST)/../.. ; tar czhf dist/$(TESTPACKAGE) runtests.sh dist/$(OBJDIR_NAME) dist/public security/nss/tests security/nss/cmd/bltest/tests security/nss/cmd/shlibsign; echo "created "`pwd`"/dist/$(TESTPACKAGE)" )

android_run_tests:
	ssh -p $(ANDROID_PORT) -o CheckHostIP=no $(ANDROID_ADDR)  'pwd; cd; pwd; cd nsstest; export PATH=$$HOME/bin:$$PATH ; $(TEST_SHELL) runtests.sh'

android_install:
	rm -f $(DIST)/android.sftp
	echo '-mkdir nsstest' > $(DIST)/android.sftp
	echo '-rm nsstest/$(TESTPACKAGE)' >> $(DIST)/android.sftp
	echo 'progress' >> $(DIST)/android.sftp
	echo 'put $(DIST)/../$(TESTPACKAGE) nsstest' >> $(DIST)/android.sftp
	sftp -o Port=$(ANDROID_PORT) -o CheckHostIP=no -b $(DIST)/android.sftp $(ANDROID_ADDR)
	ssh -p $(ANDROID_PORT) -o CheckHostIP=no $(ANDROID_ADDR)  'cd nsstest ; $$HOME/bin/rm -rf logfile runtests.sh dist security tests_results tests_results.tgz;  $$HOME/bin/tar xzf $(TESTPACKAGE)'

WORKDIR="$(DIST)/../../"
RESULTSPACKAGE=tests_results.tgz
android_get_result:
	rm -f $(WORKDIR)/result.sftp $(WORKDIR)/$(RESULTSPACKAGE)
	echo "progress" > $(WORKDIR)/result.sftp
	echo 'get nsstest/$(RESULTSPACKAGE) $(WORKDIR)' >> $(WORKDIR)/result.sftp
	sftp -o Port=$(ANDROID_PORT) -o CheckHostIP=no -b $(WORKDIR)/result.sftp $(ANDROID_ADDR) 
	(cd $(WORKDIR); tar xzf $(RESULTSPACKAGE); rm -f result.sftp $(RESULTSPACKAGE) )

# Android testing assumes having built with: OS_TARGET=Android CROSS_COMPILE=1
# Connectivity tested with Android app: SSHDroid
# Provide appropriate ANDROID_ADDR variable, e.g.:
#   make test_android ANDROID_ADDR=root@192.168.4.5
# See also: https://wiki.mozilla.org/NSS:Android

test_android: package_for_testing android_install android_run_tests android_get_result

=== build/pymake/tests/pathdir/src/Makefile ===
pathtest.exe: pathtest.cpp
	cl -EHsc -MT $^

=== debian/changelog ===
firefox (21.0+build2-0ubuntu0.12.04.3) precise-security; urgency=low

  * New upstream stable release (FIREFOX_21_0_BUILD2)
    - see LP: #1178277

  * Update globalmenu-extension to 4.1
  * Drop support for building on older than precise
    - update debian/apport/source_firefox.py.in
    - update debian/build/mozbuild.mk
    - update debian/config/mozconfig.in
    - update debian/control.in
    - update debian/firefox-globalmenu.dirs.in
    - remove debian/firefox-restart-required.update-notifier.in
    - update debian/firefox.desktop.in
    - update debian/firefox.install.in
    - update debian/firefox.links.in
    - update debian/firefox.postinst.in
    - update debian/firefox.postrm.in
    - update debian/firefox.preinst.in
    - update debian/firefox.prerm.in
    - remove debian/patches/add-syspref-dir.patch
    - update debian/patches/series.in
    - remove debian/patches/use-new-yasm-in-lucid.patch
    - remove debian/patches/mozilla-kde.patch
    - remove debian/patches/firefox-kde.patch
    - update debian/rules
    - remove debian/usr.bin.firefox.apparmor.10.04
    - remove debian/usr.bin.firefox.apparmor.10.10
    - remove debian/usr.bin.firefox.apparmor.11.04
    - remove debian/usr.bin.firefox.apparmor.9.10
  * Drop the perl script for preprocessing the quilt series file
    - remove debian/build/enable-dist-patches.pl
    - update debian/build/mozbuild.mk
  * Make sure that SHELL is set in the build environment
    - update debian/build/mozbuild.mk
  * Don't set the MOZCONFIG environment variable, but just copy our config
    in to the root of the source tree
    - update debian/build/mozconfig.mk
  * Drop libthai suggest - this hasn't been needed for a long time
    - update debian/control
  * Replace latex-xft-fonts suggest with ttf-lyx (yes, I know this is a
    transitional package since 12.10, but it avoids suggesting a different
    package for each release)
    - update debian/control
  * Use virtualenv for compare-locales
    - update debian/build/create-tarball.py
    - update debian/build/mozbuild.mk
  * Refactor create-tarball.py
  * Drop test fixes merged upstream:
    - remove d/p/test-fixes/xpcshell-shell-disable-gconf-tests-when-using-gsettings.patch
    - remove d/p/test-fixes/mochitest-shell-disable-gconf-tests-when-using-gsettings.patch
    - update debian/patches/series.in
  * Drop debian/patches/python-virtualenv-multiarch-fix.patch - fixed upstream
  * Update for install layout changes
    - update debian/firefox-locale.preinst.in
    - update debian/firefox.dirs.in
    - update debian/firefox.install.in
    - update debian/firefox.links.in
    - update debian/firefox.postinst.in
    - update debian/firefox.preinst.in
    - update debian/patches/dont-include-hyphenation-patterns.patch
    - update debian/rules
    - update debian/build/mozbuild.mk
    - update debian/testing/xpcshell-build.ini
    - add debian/build/fix-mozinfo-appname.py
    - update debian/testing/xpcshell-package-tests/xpcshell.ini
    - update debian/testing/xpcshell-package-tests/test_locale_matchOS_real.js
    - update debian/testing/xpcshell-package-tests/test_langpack_load.js
    - update debian/testing/xpcshell-package-tests/test_langpack_chrome.js
  * Disable telemetry xpcshell tests. Telemetry is not enabled on Ubuntu builds
    and the test_TelemetryPing.js fails anyway because the HG revision is
    not embedded in the ping
    - update d/p/test-integration/xpcshell-disable-failing-tests.patch
  * Skip browser_pluginCrashCommentAndURL.js on builds with crash reporting
    disabled
    - add d/p/test-fixes/mochitest-browser-plugincrash-with-no-crashreporter.patch
    - update debian/patches/series.in
  * Disable browser_google.js as this fails with our searchplugins, and we
    have our own tests
    - update debian/testing/mochitest-chrome.json
  * Temporarily disable tests in python/mozbuild/mozpack/tests, as they
    fail
    - add d/p/test-overrides/disable-failing-python-tests.patch
    - update debian/patches/series.in
  * Skip font-matching/synthetic-style-1.html reftest which fails on beta
    (note, it works on the nightly packaging)
    - update d/p/test-overrides/reftest-disable-failing-tests.patch
  * Make the testsuite depend on ttf-liberation to fix a mochitest
    failure in browser_fontinspector.js
    - update debian/control.in
  * Disable test_notifications_popup.html for now until we have time to
    investigate why it hangs
    - update debian/testing/mochitest.json
  * Run tests that need a display in an actual session with
    gnome-settings-daemon running (plus a WM):
    - update debian/testing/testrunhelper.py
    - update debian/firefox-testsuite.install.in
    - add debian/testing/run-test.desktop
    - update debian/testing/run_mochitest.in
    - update debian/testing/run_reftest.in
    - update debian/testing/run_xpcshell_tests.in
    - update debian/control.in
    - update debian/tests/mochitest
    - update debian/tests/mochitest-browser
    - update debian/tests/mochitest-chrome
    - update debian/tests/mochitest-a11y
    - update debian/tests/mochitest-ipcplugins
    - update debian/tests/crashtest
    - update debian/tests/jstestbrowser
    - update debian/tests/reftest
    - update debian/tests/xpcshell-package-tests
    - update debian/tests/xpcshell-tests
    - update d/p/test-overrides/reftest-disable-failing-tests.patch
  * Make the testsuite depend on ubuntu-settings and light-themes
    - update debian/control.in
  * Drop the JUnit XML changes from the mochitest and reftest addons
    and add this support to automation.py instead. This avoids duplication,
    means we only need 1 patch and makes it possible to add all types of log
    messages to the results (eg, screenshots of hung tests)
    - remove d/p/test-integration/reftest-output-junit-xml.patch
    - remove d/p/test-integration/mochitest-output-junit-xml.patch
    - add d/p/test-integration/automation-output-junit-xml.patch
    - update debian/patches/series.in


=== debian/control ===
# vim:noexpandtab:
Source: firefox
Section: web
Priority: optional
Maintainer: Ubuntu Mozilla Team <ubuntu-mozillateam@lists.ubuntu.com>
Vcs-Bzr: https://code.launchpad.net/~mozillateam/firefox/firefox.precise
Build-Depends: cdbs,
	locales,
	debhelper (>= 7),
	autotools-dev,
	autoconf2.13,
	quilt,
	zip,
	libx11-dev,
	libxt-dev,
	libxext-dev,
	libgtk2.0-dev (>= 2.14),
	libglib2.0-dev (>= 2.18),
	libpango1.0-dev (>= 1.14.0),
	libfontconfig1-dev,
	libfreetype6-dev (>= 2.0.1),
	libgconf2-dev (>= 1.2.1),
	libgnomeui-dev (>= 2.2.0),
	libstartup-notification0-dev,
	libasound2-dev,
	libcurl4-openssl-dev,
	libdbus-glib-1-dev (>= 0.60),
	hardening-wrapper,
	lsb-release,
	libiw-dev,
	mesa-common-dev,
	libnotify-dev (>= 0.4),
	libxrender-dev,
	yasm (>= 1.1),
	libdbusmenu-gtk-dev,
	unzip,
	dbus-x11,
	xvfb,
	python (>= 2.7)
Standards-Version: 3.9.1
XS-Testsuite: autopkgtest

Package: firefox
Architecture: any
Depends: lsb-release,
	${misc:Depends},
	${shlibs:Depends}
Recommends: xul-ext-ubufox,
	${support:Recommends},
	libcanberra0
Provides: www-browser,
	iceweasel,
	gnome-www-browser,
	${app:Provides},
	${transitional:Provides}
Suggests: ttf-lyx,
	${support:Suggests}
Breaks: ${transitional:Breaks}
Replaces: ${transitional:Replaces}
Conflicts: ${app:Conflicts},
	${transitional:Conflicts}
XB-Xul-AppId: {ec8030f7-c20a-464f-9b0e-13a3a9e97384}
Description: Safe and easy web browser from Mozilla
 Firefox delivers safe, easy web browsing. A familiar user interface,
 enhanced security features including protection from online identity theft,
 and integrated search let you get the most out of the web.

Package: firefox-gnome-support
Architecture: any
Section: gnome
Depends: ${shlibs:Depends}, 
	${misc:Depends},
	libnotify4 | libnotify1,
	firefox
Provides: ${app:Provides}
	${transitional:Provides}
Replaces: ${transitional:Replaces}
Conflicts: ${app:Conflicts},
	${transitional:Conflicts}
Description: Safe and easy web browser from Mozilla - GNOME support
 Firefox delivers safe, easy web browsing. A familiar user interface,
 enhanced security features including protection from online identity theft,
 and integrated search let you get the most out of the web.
 .
 This package depends on the GNOME libraries which allow Firefox to take
 advantage of technologies such as GConf, GIO libnotify

Package: firefox-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${shlibs:Depends}, 
	${misc:Depends}, 
	firefox (= ${binary:Version})
Provides: ${app:Provides}
	${transitional:Provides}
Replaces: ${transitional:Replaces}
Conflicts: ${app:Conflicts},
	${transitional:Conflicts}
Description: Safe and easy web browser from Mozilla - debug symbols
 Firefox delivers safe, easy web browsing. A familiar user interface,
 enhanced security features including protection from online identity theft,
 and integrated search let you get the most out of the web.
 .
 This package contains the debugging symbols for the Firefox web
 browser

Package: firefox-dev
Architecture: any
Section: devel
Priority: extra
Depends: ${shlibs:Depends},
	${misc:Depends},
	firefox (= ${binary:Version})
Provides: ${app:Provides}
	${transitional:Provides}
Replaces: ${transitional:Replaces}
Conflicts: xulrunner-2.0-dev,
	xulrunner-1.9.2-dev,
	xulrunner-1.9-dev,
	${app:Conflicts},
	${transitional:Conflicts}
Description: Safe and easy web browser from Mozilla - development files
 Firefox delivers safe, easy web browsing. A familiar user interface,
 enhanced security features including protection from online identity theft,
 and integrated search let you get the most out of the web.
 .
 This package contains the headers and SDK for building plugins with Firefox

Package: firefox-mozsymbols
Architecture: amd64 i386 armel
Section: debug
Priority: extra
Depends: ${shlibs:Depends}, 
	${misc:Depends},
Provides: ${app:Provides}
Conflicts: ${app:Conflicts}
Description: Safe and easy web browser from Mozilla - Breakpad symbols
 Firefox delivers safe, easy web browsing. A familiar user interface,
 enhanced security features including protection from online identity theft,
 and integrated search let you get the most out of the web.
 .
 This package contains the Firefox symbols in a format expected by Mozilla's
 Breakpad. Eventually this package should go away and the symbol upload be
 implemented in soyuz (or other builders that build this package)

Package: firefox-globalmenu
Architecture: any
Depends: ${shlibs:Depends},
	${misc:Depends},
	firefox (= ${binary:Version})
Provides: ${app:Provides}
Conflicts: ${app:Conflicts}
Description: Safe and easy web browser from Mozilla - Unity menubar integration
 Firefox delivers safe, easy web browsing. A familiar user interface,
 enhanced security features including protection from online identity theft,
 and integrated search let you get the most out of the web.
 .
 This package provides an extension which adds support for the Unity
 menubar to Firefox

Package: firefox-testsuite
Architecture: any
Depends: ${shlibs:Depends},
	${misc:Depends},
	firefox (= ${binary:Version}),
	firefox-gnome-support (= ${binary:Version}),
	firefox-globalmenu (= ${binary:Version}),
	firefox-locale-af (= ${binary:Version}), firefox-locale-ar (= ${binary:Version}), firefox-locale-as (= ${binary:Version}), firefox-locale-ast (= ${binary:Version}), firefox-locale-be (= ${binary:Version}), firefox-locale-bg (= ${binary:Version}), firefox-locale-bn (= ${binary:Version}), firefox-locale-br (= ${binary:Version}), firefox-locale-bs (= ${binary:Version}), firefox-locale-ca (= ${binary:Version}), firefox-locale-cs (= ${binary:Version}), firefox-locale-csb (= ${binary:Version}), firefox-locale-cy (= ${binary:Version}), firefox-locale-da (= ${binary:Version}), firefox-locale-de (= ${binary:Version}), firefox-locale-el (= ${binary:Version}), firefox-locale-en (= ${binary:Version}), firefox-locale-eo (= ${binary:Version}), firefox-locale-es (= ${binary:Version}), firefox-locale-et (= ${binary:Version}), firefox-locale-eu (= ${binary:Version}), firefox-locale-fa (= ${binary:Version}), firefox-locale-fi (= ${binary:Version}), firefox-locale-fr (= ${binary:Version}), firefox-locale-fy (= ${binary:Version}), firefox-locale-ga (= ${binary:Version}), firefox-locale-gd (= ${binary:Version}), firefox-locale-gl (= ${binary:Version}), firefox-locale-gu (= ${binary:Version}), firefox-locale-he (= ${binary:Version}), firefox-locale-hi (= ${binary:Version}), firefox-locale-hr (= ${binary:Version}), firefox-locale-hu (= ${binary:Version}), firefox-locale-hy (= ${binary:Version}), firefox-locale-id (= ${binary:Version}), firefox-locale-is (= ${binary:Version}), firefox-locale-it (= ${binary:Version}), firefox-locale-ja (= ${binary:Version}), firefox-locale-ka (= ${binary:Version}), firefox-locale-kk (= ${binary:Version}), firefox-locale-km (= ${binary:Version}), firefox-locale-kn (= ${binary:Version}), firefox-locale-ko (= ${binary:Version}), firefox-locale-ku (= ${binary:Version}), firefox-locale-lg (= ${binary:Version}), firefox-locale-lt (= ${binary:Version}), firefox-locale-lv (= ${binary:Version}), firefox-locale-mai (= ${binary:Version}), firefox-locale-mk (= ${binary:Version}), firefox-locale-ml (= ${binary:Version}), firefox-locale-mn (= ${binary:Version}), firefox-locale-mr (= ${binary:Version}), firefox-locale-nb (= ${binary:Version}), firefox-locale-nl (= ${binary:Version}), firefox-locale-nn (= ${binary:Version}), firefox-locale-nso (= ${binary:Version}), firefox-locale-oc (= ${binary:Version}), firefox-locale-or (= ${binary:Version}), firefox-locale-pa (= ${binary:Version}), firefox-locale-pl (= ${binary:Version}), firefox-locale-pt (= ${binary:Version}), firefox-locale-ro (= ${binary:Version}), firefox-locale-ru (= ${binary:Version}), firefox-locale-si (= ${binary:Version}), firefox-locale-sk (= ${binary:Version}), firefox-locale-sl (= ${binary:Version}), firefox-locale-sq (= ${binary:Version}), firefox-locale-sr (= ${binary:Version}), firefox-locale-sv (= ${binary:Version}), firefox-locale-sw (= ${binary:Version}), firefox-locale-ta (= ${binary:Version}), firefox-locale-te (= ${binary:Version}), firefox-locale-th (= ${binary:Version}), firefox-locale-tr (= ${binary:Version}), firefox-locale-uk (= ${binary:Version}), firefox-locale-vi (= ${binary:Version}), firefox-locale-zh-hans (= ${binary:Version}), firefox-locale-zh-hant (= ${binary:Version}), firefox-locale-zu (= ${binary:Version}) ,
	python,
	dbus-x11,
	xvfb,
	libc-bin,
	make,
	notify-osd,
	metacity,
	language-pack-en-base,
	language-pack-es-base,
	language-pack-fr-base,
	language-pack-pt-base,
	fonts-arabeyes,
	fonts-kacst,
	fonts-takao-mincho,
	fonts-takao-gothic,
	ttf-wqy-zenhei,
	fonts-arphic-uming,
	ttf-arphic-ukai,
	fonts-nanum,
	fonts-nanum-coding,
	fonts-unfonts-core,
	ttf-liberation,
	gnome-session,
	gnome-settings-daemon,
	ubuntu-settings,
	light-themes,
	unzip
Provides: ${app:Provides}
Conflicts: ${app:Conflicts}
Description: Safe and easy web browser from Mozilla - testsuite
 Firefox delivers safe, easy web browsing. A familiar user interface,
 enhanced security features including protection from online identity theft,
 and integrated search let you get the most out of the web.
 .
 This package contains the Firefox testsuite

# Transitional packages below here

Package: abrowser
Architecture: any
Depends: ${misc:Depends}, firefox (>= 9.0)
Description: Safe and easy web browser from Mozilla - transitional package
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: firefox-branding
Architecture: any
Depends: ${misc:Depends}, firefox (>= 9.0)
Description: Safe and easy web browser from Mozilla - transitional package
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: abrowser-branding
Architecture: any
Depends: ${misc:Depends}, firefox (>= 9.0)
Description: Safe and easy web browser from Mozilla - transitional package
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: firefox-gnome-support-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${misc:Depends}, firefox-gnome-support, firefox-dbg (= ${binary:Version})
Description: Safe and easy web browser from Mozilla - transitional package
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

# Language packs below here

Package: firefox-locale-af
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-af-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Afrikaans language pack for Firefox
 This package contains Afrikaans translations and search plugins
 for Firefox

Package: firefox-locale-ar
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-ar-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Arabic language pack for Firefox
 This package contains Arabic translations and search plugins
 for Firefox

Package: firefox-locale-as
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-as-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Assamese language pack for Firefox
 This package contains Assamese translations and search plugins
 for Firefox

Package: firefox-locale-ast
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-ast-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Asturian language pack for Firefox
 This package contains Asturian translations and search plugins
 for Firefox

Package: firefox-locale-be
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-be-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Belarusian language pack for Firefox
 This package contains Belarusian translations and search plugins
 for Firefox

Package: firefox-locale-bg
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-bg-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Bulgarian language pack for Firefox

=== debian/rules ===
#!/usr/bin/make -f

include $(CURDIR)/debian/build/mozvars.mk

MOZ_PKG_BASENAME	:= firefox
MOZ_APP			:= browser
MOZ_VENDOR		:= Mozilla
MOZ_MOZDIR		:=

MOZ_APP_SUBDIR	:= browser

MOZ_BRANDING		:= $(CHANNEL)
ifneq (,$(filter release beta, $(MOZ_BRANDING)))
MOZ_BRANDING		:= official
endif
ifeq (1,$(MOZ_BUILD_UNOFFICIAL))
ifneq (,$(filter official aurora, $(MOZ_BRANDING)))
MOZ_BRANDING		:= unofficial
endif
endif
MOZ_BRANDING_DIR 	:= $(MOZ_APP)/branding/$(MOZ_BRANDING)
ifeq (official,$(BRANDING))
MOZ_BRANDING_OPTION	:= --enable-official-branding
else
MOZ_BRANDING_OPTION	:= --with-branding=$(MOZ_BRANDING_DIR)
endif

MOZ_PKGNAME_SUBST_FILES = \
	debian/usr.bin.$(MOZ_PKG_NAME) \
	debian/README.Debian \
	debian/$(MOZ_PKG_NAME)-locale.preinst \
	debian/$(MOZ_PKG_BASENAME).sh \
	debian/apport/blacklist \
	debian/apport/native-origins \
	debian/apport/source_$(MOZ_PKG_NAME).py \
	debian/testing/run_mochitest \
	debian/testing/run_reftest \
	$(NULL)

MOZ_APPNAME_SUBST_FILES = \
	debian/$(MOZ_APP_NAME).1 \
	$(NULL)

MOZ_PKGCONFIG_FILES = \
	debian/pkgconfig/mozilla-plugin.pc \
	$(NULL)

include $(CURDIR)/debian/build/mozbuild.mk

MOZ_EXECUTABLES_$(MOZ_PKG_NAME)-testsuite =	$(MOZ_LIBDIR)/testing/run_mochitest \
						$(MOZ_LIBDIR)/testing/run_reftest \
						$(MOZ_LIBDIR)/testing/run_xpcshell_tests \
						$(MOZ_LIBDIR)/xpcshell \
						$(NULL)

debian/usr.bin.firefox.in:
	cp $(CURDIR)/debian/usr.bin.firefox.apparmor.12.04 $(CURDIR)/debian/usr.bin.firefox.in

ifeq (firefox, $(MOZ_APP_NAME))
ifneq (,$(filter precise, $(DISTRIB_CODENAME)))
PLUGIN_BREAKS := flashplugin-installer (<= 11.1.102.63ubuntu1), adobe-flashplugin (<= 11.1.102.63-0precise1)
PLUGIN_CONFLICTS := gcu-plugin (<= 0.12.10-1ubuntu1)
endif
endif

WRITE_SUBSTVARS = $(shell echo "$(2)=$(3)" | sed 's/[ \t\n]\+/ /g' >> debian/$(1).substvars)

ifeq (firefox, $(MOZ_PKG_NAME))
ifeq (,$(filter precise, $(DISTRIB_CODENAME)))
install/firefox::
	$(call WRITE_SUBSTVARS,firefox,transitional:Replaces,kubuntu-firefox-installer)
else
FIREFOX_REPLACES = abrowser, abrowser-branding, firefox-branding, kubuntu-firefox-installer
FIREFOX_BREAKS = abrowser (<= 4.0~b11+build3+nobinonly-0ubuntu1), abrowser-branding (<= 4.0~b11+build3+nobinonly-0ubuntu1), \
		 firefox-branding (<= 4.0~b11+build3+nobinonly-0ubuntu1), $(PLUGIN_BREAKS)
install/firefox::
	$(call WRITE_SUBSTVARS,firefox,transitional:Replaces,$(FIREFOX_REPLACES))
	$(call WRITE_SUBSTVARS,firefox,transitional:Breaks,$(FIREFOX_BREAKS))
	$(call WRITE_SUBSTVARS,firefox,transitional:Conflicts,$(PLUGIN_CONFLICTS))
endif
endif

$(patsubst %,binary-post-install/$(MOZ_PKG_NAME)-locale-%,$(MOZ_LANGPACK_TARGETS)):: binary-post-install/$(MOZ_PKG_NAME)-locale-%: install-webapprt-langpack-links-%

install-webapprt-langpack-links-%: XPIS = $(notdir $(wildcard debian/$(MOZ_PKG_NAME)-locale-$*/$(MOZ_ADDONDIR)/extensions/*.xpi))
install-webapprt-langpack-links-%:
	$(foreach xpi,$(XPIS),dh_link -p$(MOZ_PKG_NAME)-locale-$* $(MOZ_ADDONDIR)/extensions/$(xpi) $(MOZ_LIBDIR)/webapprt/extensions/$(xpi);)

make-langpack-preinsts::
	@while read line ; \
	do \
		line=`echo $$line | sed 's/#.*//' | sed '/^$$/d'` ; \
		if [ ! -z "$$line" ] ; \
		then \
		pkgname=`echo $$line | sed 's/\([^:]*\):*\([^:]*\)/\2/'` ; \
			cp $(CURDIR)/debian/$(MOZ_PKG_NAME)-locale.preinst $(CURDIR)/debian/$(MOZ_PKG_NAME)-locale-$${pkgname}.preinst ; \
		fi \
	done < $(CURDIR)/debian/config/locales.shipped

pre-build:: make-langpack-preinsts
	@cp $(DEB_SRCDIR)/toolkit/content/widgets/dialog.xml $(DEB_SRCDIR)/toolkit/content/widgets/dialog-kde.xml
	@cp $(DEB_SRCDIR)/toolkit/content/widgets/preferences.xml $(DEB_SRCDIR)/toolkit/content/widgets/preferences-kde.xml
	@cp $(DEB_SRCDIR)/browser/base/content/browser.xul $(DEB_SRCDIR)/browser/base/content/browser-kde.xul

ifneq ($(MOZ_APP_BASENAME),$(MOZ_DEFAULT_APP_BASENAME))
	@echo "Setting MOZ_APP_UA_NAME to $(MOZ_DEFAULT_APP_BASENAME)"
	@cp $(DEB_SRCDIR)/$(MOZ_BRANDING_DIR)/configure.sh $(DEB_SRCDIR)/$(MOZ_BRANDING_DIR)/configure.sh.bak; \
		echo "MOZ_APP_UA_NAME=$(MOZ_DEFAULT_APP_BASENAME)" >> $(DEB_SRCDIR)/$(MOZ_BRANDING_DIR)/configure.sh

	@echo "Setting UAName to $(MOZ_DEFAULT_APP_BASENAME)"
	@cp $(DEB_SRCDIR)/webapprt/application.ini.in $(DEB_SRCDIR)/webapprt/application.ini.in.bak; \
		sed -ri 's/@MOZ_APP_BASENAME@/$(MOZ_DEFAULT_APP_BASENAME)/g' $(DEB_SRCDIR)/webapprt/application.ini.in
endif
ifneq ($(MOZ_APP_NAME),$(MOZ_DEFAULT_APP_NAME))
	@echo "Replacing instances of \"%APP%\" with \"firefox\" in firefox-branding.js"
	@cp $(DEB_SRCDIR)/$(MOZ_BRANDING_DIR)/pref/firefox-branding.js $(DEB_SRCDIR)/$(MOZ_BRANDING_DIR)/pref/firefox-branding.js.bak; \
		sed -ri 's/%APP%/firefox/g' $(DEB_SRCDIR)/$(MOZ_BRANDING_DIR)/pref/firefox-branding.js
endif

clean::
	rm -f debian/$(MOZ_PKG_NAME)-locale-*.preinst
	rm -f debian/usr.bin.firefox.in
	$(call RESTORE_BACKUP, $(DEB_SRCDIR)/$(MOZ_BRANDING_DIR)/configure.sh)
	$(call RESTORE_BACKUP, $(DEB_SRCDIR)/$(MOZ_BRANDING_DIR)/pref/firefox-branding.js)
	$(call RESTORE_BACKUP, $(DEB_SRCDIR)/webapprt/application.ini.in)
	rm -f $(DEB_SRCDIR)/toolkit/content/widgets/dialog-kde.xml
	rm -f $(DEB_SRCDIR)/toolkit/content/widgets/preferences-kde.xml
	rm -f $(DEB_SRCDIR)/browser/base/content/browser-kde.xul

.PHONY: make-langpack-preinsts

=== debian/tests/control ===
Tests: xpcshell-tests xpcshell-package-tests jstestbrowser reftest crashtest mochitest-browser mochitest mochitest-chrome mochitest-a11y mochitest-ipcplugins
Depends: firefox-testsuite
